# Interface methods for submodule: Image
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageBaseProxy as _ImageBaseProxy


# Interface methods for class: Image
class ImageProxy(_ImageBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Allocate(self, initializePixels: bool = False) -> None:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	@overload
	def FillBuffer(self, value) -> None:
		""""""
		...

	@overload
	def FillBuffer(self, value: Sequence[float]) -> None:
		""""""
		...

	@overload
	def FillBuffer(self, value: float) -> None:
		""""""
		...

	@overload
	def FillBuffer(self, value: Sequence[int]) -> None:
		""""""
		...

	@overload
	def FillBuffer(self, value: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def FillBuffer(self, value: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def FillBuffer(self, value: int) -> None:
		""""""
		...

	@overload
	def FillBuffer(self, value: bool) -> None:
		""""""
		...

	@overload
	def SetPixel(self, index: Sequence[int], value) -> None:
		""""""
		...

	@overload
	def SetPixel(self, index: Sequence[int], value: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetPixel(self, index: Sequence[int], value: float) -> None:
		""""""
		...

	@overload
	def SetPixel(self, index: Sequence[int], value: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetPixel(self, index: Sequence[int], value: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetPixel(self, index: Sequence[int], value: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def SetPixel(self, index: Sequence[int], value: int) -> None:
		""""""
		...

	@overload
	def SetPixel(self, index: Sequence[int], value: bool) -> None:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int]):
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int]) -> Sequence[float]:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int]) -> float:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int]) -> Sequence[int]:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int]) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int]) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int]) -> int:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int]) -> bool:
		""""""
		...

	def GetBufferPointer(self):
		""""""
		...

	def GetPixelContainer(self):
		""""""
		...

	def SetPixelContainer(self, container) -> None:
		""""""
		...

	def Graft(self, image) -> None:
		""""""
		...

	def GetPixelAccessor(self):
		""""""
		...

	def GetNeighborhoodAccessor(self):
		""""""
		...

	def GetNumberOfComponentsPerPixel(self) -> int:
		""""""
		...

